{% extends "base.html" %}

{% block content %}
<main role="main" class="col-sm-9 ml-sm-auto col-md-10 pt-3">
    <br>
    <h2>Virtual Link Instances</h2>
    {% if virtual_link_instances == {} %}
        <div>
            List empty
        </div>
    {% else %}
        <div class="table-responsive">
          <table class="table table-striped">
              <thead>
                <tr>
                    <th>#</th>
                    <th>Name</th>
                    <th>Technology</th>
                    <th>Id</th>
                </tr>
                </thead>
                <tbody>
                    {% for virtual_link_instance in virtual_link_instances  %}
                    <tr>
                        <td>
                            <class="virtual_link_instance" type="text" id="{{loop.index}}" name="{{loop.index}}"
                            value="{{loop.index}}">{{loop.index}}
                        </td>
                        <td>
                            <class="virtual_link_instance" type="text" id="virtual_link_instance_name_{{loop.index}}"
                            name="virtual_link_instance_name_{{loop.index}}"
                            value="{{virtual_link_instance['network-name']}}">{{virtual_link_instance['network-name']}}
                        </td>
                        <td>
                            <class="virtual_link_instance" type="text" id="virtual_link_instance_model_{{loop.index}}" name="virtual_link_instance_model_{{loop.index}}"
                            value="{{virtual_link_instance['network-technology']}}">{{virtual_link_instance['network-technology']}}
                        </td>
                        <td>
                            <class="virtual_link_instance" type="text" id="virtual_link_instance_id_{{loop.index}}" name="virtual_link_instance_id_{{loop.index}}"
                            value="{{virtual_link_instance['network-id']}}">{{virtual_link_instance['network-id']}}
                        </td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    {% endif %}
</main>
{% endblock %}
